server {
    listen 80;
    index index.php index.html;
    server_name localhost;
    error_log  /var/log/nginx/error.log;
    access_log /var/log/nginx/access.log;
    root /var/www/html/public;

    server_name localhost;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ \.php$ {
        try_files $uri =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass php:9000;
        fastcgi_index index.php;
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PATH_INFO $fastcgi_path_info;
        fastcgi_intercept_errors on;
        fastcgi_keep_conn on;
        fastcgi_param PHP_VALUE "auto_prepend_file= \n allow_url_include=Off";

        # Xdebug configuration
        # fastcgi_param XDEBUG_MODE debug;
        # fastcgi_param XDEBUG_CLIENT_HOST host.docker.internal;
        # fastcgi_param XDEBUG_CLIENT_PORT 9002;
        # fastcgi_param XDEBUG_IDE_KEY VSCODE;

        proxy_send_timeout 3600;
        proxy_read_timeout 3600;
        fastcgi_send_timeout 3600;
        fastcgi_read_timeout 3600;
    }
}
